﻿using Connected.Models;
using Microsoft.AspNetCore.Components;

namespace Connected.Components;
public partial class CheckBox: InputBase
{
	[Parameter]
	public bool Checked { get; set; } = false;

	[Parameter, EditorRequired]
	public string Id { get; set; }

	[Parameter]
	public EventCallback<bool> CheckedChange { get; set; }
	public async Task OnChange(ChangeEventArgs args)
	{
		Checked = (bool)args.Value;
		CheckedChange.InvokeAsync(Checked);
	}

}
