﻿using Connected.Utilities;
using Microsoft.AspNetCore.Components;
using Microsoft.AspNetCore.Components.Web;

namespace Connected.Components
{
    public partial class Glyph
    {
        [Parameter]
        public string SVG { get; set; } = string.Empty;

        [Parameter]
        public string Color { get; set; } = "#000000";

        [Parameter]
        public int Width { get; set; } = 24;
        [Parameter]
        public int Height { get; set; } = 24;

		  private string WidthString
			{
				get
				{
					return Width.ToString() + "px";
				}
			}

		private string HeightString
		{
			get
			{
				return Width.ToString() + "px";
			}
		}

		[Parameter]
			public string Class { get; set; } = string.Empty;

			private string GlyphClassList
			{
				get
				{
					return new CssBuilder()
						 .AddClass(Class)
						 .Build();
				}
			}

		[Parameter]
		/// <summary>
		/// Glyph click event.
		/// </summary>
		public EventCallback<MouseEventArgs> Click { get; set; }
		protected async Task OnClick(MouseEventArgs e)
		{
			await Click.InvokeAsync(e);

		}
	}
}